"use client"
import React,{useEffect, useState} from 'react';
import {AiOutlineArrowUp} from "react-icons/ai";

function MoveToTop() {

    const [show,setShow]=useState(false)
    
    useEffect(()=>{
        window.addEventListener("scroll",()=>{
            if(window.pageYOffset>500){
                setShow(true)
            }else{
                setShow(false)
            }
        }) 
    })

    return (
        <>
            {show&&<div onClick={()=>{
                window.scrollTo({ top: 0, behavior:'smooth'})
            }} className='move-to-top-button'>
                <button >
                    <AiOutlineArrowUp className='text-xl text-white'/>
                </button>
            </div>}
        </>
    )
}

export default MoveToTop